List expanded

Lists statements with expanded LIGs and task groups, using filtering, sorting, and pagination. | authz_personas=[statement_org_operators, statement_driver] | () -> (StatementsExpandedListRes)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

sort_byenum or nullOptional
Field to sort by
Allowed values:
sort_orderenum or nullOptional

Sort order (ascending or descending)

Allowed values:
pageinteger or nullOptional>=1Defaults to 1
page_sizeinteger or nullOptional1-100Defaults to 20
filter_statusenum or nullOptional

Filter by statement status(es)

Allowed values:
filter_settlement_typeenum or nullOptional
Filter by settlement type
Allowed values:
filter_order_idstring or nullOptionalDeprecated

[DEPRECATED — use filter_order_short_id] Filter by order ID (returns statements whose order_ids list contains this value)

filter_order_short_idstring or nullOptional

Filter by order short ID (returns statements whose order_short_ids list contains this value)

filter_order_off_chrt_reference_idstring or nullOptionalformat: "^[A-Za-z0-9._~\-]{1,64}$"1-64 characters

Filter by order off-chrt reference ID (returns statements whose order_off_chrt_reference_ids list contains this value)

filter_payment_origin_org_idstring or nullOptional
Filter by payment origin org ID
filter_payment_origin_off_chrt_shipper_org_idstring or nullOptional

Filter by payment origin off-chrt shipper org ID

filter_payment_destination_org_idstring or nullOptional
Filter by payment destination org ID
filter_owned_by_org_idstring or nullOptional
Filter by owned by org ID
filter_staged_at_timestamp_gtedatetime or nullOptional

Filter by staged_at_timestamp >= value

filter_staged_at_timestamp_ltedatetime or nullOptional

Filter by staged_at_timestamp <= value

filter_opened_at_timestamp_gtedatetime or nullOptional

Filter by opened_at_timestamp >= value

filter_opened_at_timestamp_ltedatetime or nullOptional

Filter by opened_at_timestamp <= value

filter_paid_at_timestamp_gtedatetime or nullOptional

Filter by paid_at_timestamp >= value

filter_paid_at_timestamp_ltedatetime or nullOptional

Filter by paid_at_timestamp <= value

filter_uncollectible_at_timestamp_gtedatetime or nullOptional

Filter by uncollectible_at_timestamp >= value

filter_uncollectible_at_timestamp_ltedatetime or nullOptional

Filter by uncollectible_at_timestamp <= value

Response

Successful Response
itemslist of objects
total_countinteger

Errors

422
Statements Expanded List V1request Unprocessable Entity Error